Subject: Re: Minutes available for review (Re: W3C/IETF liaison teleconference 1 Nov)

From: Philippe Le Hegaret <[email-masked]>
Date: Tue, 06 Feb 2007 17:09:33 -0500

It's way past the 7 days review period. So I incorporated my text in the
minutes and will now proceed to announce to public-ietf-w3c

Philippe

On Tue, 2006-11-07 at 14:05 -0500, Philippe Le Hegaret wrote:
> I'm finally getting around this. Here is a short proposed text:
> [[
> Tim: Since HTTP is a critical part of the Web, W3C has concerns about
> the IPR situation applying to RFC 2616. Without having actual knowledge
> of a patent that would apply to HTTP 1.1, we're afraid that HTTP 1.1, as
> it currently stands or in a new revision, isn't be protected enough
> against patents out there, and this might come back and bites us later.
> 
> Ted: the IETF mechanism to handle this is controlled by the WG's
> understanding of the need to limit new items included to those where the
> IPR situation has no known issues. In addition, if anyone has knowledge
> of an IPR issue against the RFC, they should do a disclosure and the WG
> can then act on it as necessary.
> ]]
> 
> The text above would replace this text below from our minutes:
> [[
> Tim: also question on IPRs. While the W3C patent policy covers our W3C
> Recommendations, HTTP isn't part of it. Somebody can work in W3C and
> still makes some fusses around HTTP. The PP has been beneficial for us.
> Apart from the joint WG we used to have, would it be possible in the
> charter of the WG to put it under the W3C PP? It wouldn't be simple...
> 
> Leslie: it would be difficult for us to do so. A review of the pros/cons
> would be necessary.
> 
> Ted: there has been discussion around cooperative relationship. A key
> thing here in chartering the work, the IPR policy would different from
> others groups and needs community review during charter phase. I
> wouldn't expect this review to be easy to have.
> 
> Tim: pushback from large companies? developers in the garage?
> 
> <DanC> (doing work in the W3C patent policy outside of a W3C WG is
> incoherent, as far as I understand. The W3C patent policy is not
> re-purposable, as I understand it.)
> 
> DanC: Tim, our patent policy is linked to the W3C Process… days period,
> etc.
> 
> Tim: yes, that's why I said it woudln't simple.
> 
> Ted: for most of the changes, it's about errata. if anybody has patents,
> they relate much as much to the existing document. little actual danger
> to actual W3C Members. if there is new work incorporated, then yes,
> people would need to file disclosure. WG in the IETF that it will not
> put into a document anything that is encumbered. is there work in the
> community that is protected in HTTP now?
> 
> Tim: maybe there is a way to write the charter to put everything royalty
> free
> 
> Ted: applying the logic of avoiding patents in HTTP isn't a problem.
> Putting it into a different PP would be more problematic.
> 
> Leslie: I'm not an AD, but as phrased by Ted that sounds like reasonable
> charter material, if it comes from the feet on the street.
> 
> Tim: I felt for years that it would be nice if HTTP can fallback into a
> P2P protocol.
> 
> Ted: something like bittorrent?
> 
> Tim: completely trackable bittorrent kind of architecture. bittorrent is
> in IETF?
> 
> Ted: no, the author wants to keep full control of it. the short answer
> is to first get a WG working to restart the work on HTTP.
> 
> Lisa: an other area is cookie authentication
> 
> [...]
> 
> Leslie: this underscores the need to do the work on HTTP in a WG
> ]]
> 
> Philippe
> 
>